List pipeline run artifacts of an application
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs/{run_id}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs/{run_id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs/{run_id}/artifacts \
--header 'Authorization: Bearer <token>'{
"artifacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"name": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"status": "<string>",
"error_message": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"uploaded_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}Pipelines
List pipeline run artifacts of an application
Lists the step logs and artifacts a pipeline run stored, by keyset. Needs pipelines.read.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
pipeline-runs
/
{run_id}
/
artifacts
List pipeline run artifacts of an application
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs/{run_id}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs/{run_id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs/{run_id}/artifacts \
--header 'Authorization: Bearer <token>'{
"artifacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"name": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"status": "<string>",
"error_message": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"uploaded_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The application whose connected repository's pipeline is addressed.
The pipeline run.
Query Parameters
Page size.
Required range:
1 <= x <= 100The next_cursor of the previous page.